<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.10.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>MeLOn: Class Members - Functions</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="MeLOn_only.png"/></td>
  <td id="projectalign">
   <div id="projectname">MeLOn
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.10.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function(){initNavTree('functions_func_g.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="contents">
<div class="textblock">Here is a list of all functions with links to the classes they belong to:</div>

<h3><a id="index_g" name="index_g"></a>- g -</h3><ul>
<li>GaussianProcess()&#160;:&#160;<a class="el" href="classmelon_1_1_gaussian_process.html#a386be5795c1407b0df246c12b8035054">melon::GaussianProcess&lt; T &gt;</a></li>
<li>get_full_space_variables()&#160;:&#160;<a class="el" href="classmelon_1_1_feed_forward_net.html#a9a6336300c3e798cb58832019e701bc4">melon::FeedForwardNet&lt; T &gt;</a></li>
<li>get_full_space_variables_prediction()&#160;:&#160;<a class="el" href="classmelon_1_1_gaussian_process.html#a24caeed57b90c191e62dc0142b94fea2">melon::GaussianProcess&lt; T &gt;</a></li>
<li>get_full_space_variables_prediction_and_variance()&#160;:&#160;<a class="el" href="classmelon_1_1_gaussian_process.html#a0e0ade2765c9ac980f7d800a70ef24b7">melon::GaussianProcess&lt; T &gt;</a></li>
<li>get_full_space_variables_variance()&#160;:&#160;<a class="el" href="classmelon_1_1_gaussian_process.html#a579feefd59d2f49a68355a7fa60f6aca">melon::GaussianProcess&lt; T &gt;</a></li>
<li>get_fullspace_variables()&#160;:&#160;<a class="el" href="classmelon_1_1_support_vector_machine.html#a2deaf0cc2520318c8208f3d552d040cf">melon::SupportVectorMachine&lt; T &gt;</a></li>
<li>get_input_dimension()&#160;:&#160;<a class="el" href="classmelon_1_1_gaussian_process.html#a006eeec94356a5c0d487afe48576c5da">melon::GaussianProcess&lt; T &gt;</a></li>
<li>get_maximum_of_training_data_outputs()&#160;:&#160;<a class="el" href="classmelon_1_1_gaussian_process.html#a35581bbd6af8440edc7a1b61215a005b">melon::GaussianProcess&lt; T &gt;</a></li>
<li>get_minimum_of_training_data_outputs()&#160;:&#160;<a class="el" href="classmelon_1_1_gaussian_process.html#a0e3d14f20ee559d8cf964ebf36bc386b">melon::GaussianProcess&lt; T &gt;</a></li>
<li>get_normalized_observations()&#160;:&#160;<a class="el" href="classmelon_1_1_gaussian_process.html#a88731473ec79c91e7d76b73f445abca5">melon::GaussianProcess&lt; T &gt;</a></li>
<li>get_number_of_full_space_variables()&#160;:&#160;<a class="el" href="classmelon_1_1_feed_forward_net.html#a47ce1749d5969289495ad8a84e438c70">melon::FeedForwardNet&lt; T &gt;</a>, <a class="el" href="classmelon_1_1_support_vector_machine.html#a0b66a6ddb023bd946815e7d1b885b273">melon::SupportVectorMachine&lt; T &gt;</a></li>
<li>get_number_of_full_space_variables_prediction()&#160;:&#160;<a class="el" href="classmelon_1_1_gaussian_process.html#ae4ee37192b3384763b4e43c8c3d345ee">melon::GaussianProcess&lt; T &gt;</a></li>
<li>get_number_of_full_space_variables_prediction_and_variance()&#160;:&#160;<a class="el" href="classmelon_1_1_gaussian_process.html#a585d1d461394871c97aad401c2228c99">melon::GaussianProcess&lt; T &gt;</a></li>
<li>get_number_of_full_space_variables_variance()&#160;:&#160;<a class="el" href="classmelon_1_1_gaussian_process.html#aa57f8f0996f1a8f467d4e0a4460daccc">melon::GaussianProcess&lt; T &gt;</a></li>
<li>get_number_of_training_data_points()&#160;:&#160;<a class="el" href="classmelon_1_1_gaussian_process.html#a99abab766cd09603c980597d38116d53">melon::GaussianProcess&lt; T &gt;</a></li>
<li>get_observations()&#160;:&#160;<a class="el" href="classmelon_1_1_gaussian_process.html#ac30f580feffc439827c21b45186306b7">melon::GaussianProcess&lt; T &gt;</a></li>
<li>GetCharacterRef()&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_util.html#a5a96e5144a8d693dc4bcd783d9964648">tinyxml2::XMLUtil</a></li>
<li>GetDocument()&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_node.html#a6ce3bbe80357f5a4dc5db31a66f2bb18">tinyxml2::XMLNode</a></li>
<li>GetLineNum()&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_attribute.html#a02d5ea924586e35f9c13857d1671b765">tinyxml2::XMLAttribute</a>, <a class="el" href="classtinyxml2_1_1_x_m_l_node.html#a9b5fc636646fda761d342c72e91cb286">tinyxml2::XMLNode</a></li>
<li>GetStr()&#160;:&#160;<a class="el" href="classtinyxml2_1_1_str_pair.html#ad87e3d11330f5e689ba1e7e54c023b57">tinyxml2::StrPair</a></li>
<li>GetText()&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_element.html#a0fa5bea0a4daf3ddd503dcabb823eba6">tinyxml2::XMLElement</a></li>
<li>GetUserData()&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_node.html#a18cc02ebd0b06f6bf5db7ef87653e00e">tinyxml2::XMLNode</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.10.0 </li>
  </ul>
</div>
</body>
</html>
